Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.metaclass
[Java] Class CountByPersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractClausedStaticPersistentMethod
                  org.codehaus.groovy.grails.orm.hibernate.metaclass.CountByPersistentMethod

    public class CountByPersistentMethod
    extends AbstractClausedStaticPersistentMethod

Dynamic method that allows counting the values of the specified property names eg. Account.countByBranch('London') // returns how many accounts are in london

Authors:
  Graeme Rocher

Field Summary

Fields inherited from class AbstractStaticPersistentMethod
application

Constructor Summary
`CountByPersistentMethod(HibernateDatastore datastore, GrailsApplication application, org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader)`

Method Summary
`protected java.lang.Object` | `doInvokeInternalWithExpressions(java.lang.Class clazz, java.lang.String methodName, java.lang.Object[] arguments, java.util.List expressions, java.lang.String operatorInUse, grails.gorm.DetachedCriteria detachedCriteria, groovy.lang.Closure additionalCriteria)`
`protected void` | `populateCriteriaWithExpressions(org.hibernate.Criteria crit, java.lang.String operator, java.util.List expressions)`

Methods inherited from class AbstractClausedStaticPersistentMethod
AbstractClausedStaticPersistentMethod, doInvokeInternal, doInvokeInternal, doInvokeInternal, doInvokeInternalWithExpressions

Methods inherited from class AbstractStaticPersistentMethod
doInvokeInternal, doInvokeInternal, getCriteria, getHibernateTemplate, invoke, invoke, invoke

Methods inherited from class AbstractStaticMethodInvocation
getPattern, invoke, isMethodMatch, setPattern, setPattern, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### CountByPersistentMethod

    public CountByPersistentMethod(HibernateDatastore datastore, GrailsApplication application, org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader)

Method Detail

### doInvokeInternalWithExpressions

    @SuppressWarnings("rawtypes")
    @Override
    protected java.lang.Object doInvokeInternalWithExpressions(java.lang.Class clazz, java.lang.String methodName, java.lang.Object[] arguments, java.util.List expressions, java.lang.String operatorInUse, grails.gorm.DetachedCriteria detachedCriteria, groovy.lang.Closure additionalCriteria)

### populateCriteriaWithExpressions

    @SuppressWarnings({ "unchecked", "rawtypes" })
    protected void populateCriteriaWithExpressions(org.hibernate.Criteria crit, java.lang.String operator, java.util.List expressions)

Groovy Documentation